# preview.cpp File Reference

Preview implementation file. More...

`#include "preview.h"`
`#include "app.h"`
`#include "audiocontainer.h"`
`#include <gtkmm/stock.h>`
`#include <gtkmm/separator.h>`
`#include <synfig/target_scanline.h>`
`#include <synfig/surface.h>`
`#include <algorithm>`
`#include "asyncrenderer.h"`
`#include "general.h"`

## Defines

#define | IMAGIFY_BUTTON(button, stockid, tooltip)

## Functions

static void | free_guint8 (const guint8 *mem)

## Detailed Description

Preview implementation file.

$Id$

## Define Documentation

#define IMAGIFY_BUTTON | ( | button,
|  | stockid,
|  | tooltip |  | ) |

Value:

    icon=manage(new Gtk::Image(Gtk::StockID(stockid),Gtk::ICON_SIZE_BUTTON));   \
        button->add(*icon); \
        tooltips.set_tip(*button,tooltip);  \
        icon->set_padding(0,0);\
        icon->show();

Referenced by studio::Widget_Preview::Widget_Preview().

## Function Documentation

static void free_guint8 | ( | const guint8 * | mem | ) | `[static]`